/**
 * 省份相关
 */
import http from '../http'

export default {
  page: data => http.post('/v1/province/page', data).then(res => res),
  list: data => http.post('/v1/province/list', data).then(res => res),
  add: data => http.post('/v1/province/', data).then(res => res),
  edit: data => http.put('/v1/province/' + data.id, data.obj).then(res => res),
  getById: id => http.get('/v1/province/' + id).then(res => res),
  getProvince: () => http.post('/v1/province/list_all').then(res => res)
}
